## vapoursynth-subtext-dmo 3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15) # for cmake policy CMP0091 https://cmake.org/cmake/help/latest/policy/CMP0091.html#policy:CMP0091
project(subtext)

set(CMAKE_C_STANDARD 11)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_C_VISIBILITY_PRESET hidden)

include(FetchContent)
FetchContent_Declare(VapourSynth
    URL          https://github.com/vapoursynth/vapoursynth/archive/refs/tags/R55-API4-RC3.zip
    URL_HASH MD5=2352CD4FD2DEEA88A9495279820AC2A0)
FetchContent_MakeAvailable(VapourSynth)

find_package(Iconv REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBAV REQUIRED
    libavcodec
    libavformat
    libavutil
)
pkg_check_modules(LIBASS REQUIRED libass>=0.12.0)

add_library(subtext SHARED
    "src/common.c"
    "src/image.cpp"
    "src/text.c"
    "src/toass.cpp"
    "src/toutf8.c"
)
target_include_directories(subtext PRIVATE "${vapoursynth_SOURCE_DIR}/include" ${LIBAV_INCLUDE_DIRS} ${LIBASS_INCLUDE_DIRS})
target_link_libraries(subtext PRIVATE Iconv::Iconv ${LIBAV_LINK_LIBRARIES} ${LIBASS_LINK_LIBRARIES})

=== debian/changelog ===
vapoursynth-subtext-dmo (3-dmo3) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 11:51:44 +0100

vapoursynth-subtext-dmo (3-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:31:42 +0200

vapoursynth-subtext-dmo (3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Apr 2022 08:40:41 +0200

vapoursynth-subtext-dmo (2-dmo3) unstable; urgency=medium

  * Build with ninja

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Sep 2021 11:22:13 +0200

vapoursynth-subtext-dmo (2-dmo2) unstable; urgency=medium

  * Should Depends on vapoursynth

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Sep 2021 11:13:25 +0200

vapoursynth-subtext-dmo (2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 09:36:41 +0200

## vapoursynth-subtext-dmo 5

=== debian/changelog ===
vapoursynth-subtext-dmo (5-dmo3) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 08:56:31 +0200

vapoursynth-subtext-dmo (5-dmo2+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 17:52:04 +0100

vapoursynth-subtext-dmo (5-dmo2) unstable; urgency=medium

  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 15:17:57 +0200

vapoursynth-subtext-dmo (5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Oct 2023 01:59:14 +0200

vapoursynth-subtext-dmo (4-dmo1) unstable; urgency=medium

  * New upstream release (No changes).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Jun 2023 08:03:47 +0200

=== debian/control ===
Source: vapoursynth-subtext-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/vapoursynth/subtext/releases
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), meson, vapoursynth-dev (>= 55~),
 libavcodec-dev, libavutil-dev, libavformat-dev, libass-dev (>= 0.12.0~),
 ninja-build, quilt,

Package: vapoursynth-subtext
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth,
Description: vapoursynth subtitle renderer.
 Subtext is a subtitle renderer for vapoursynth that uses libass and ffmpeg.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smeson+ninja --with quilt

=== debian/watch ===
version=4

https://github.com/vapoursynth/subtext/tags \
(?:.*?/)?R?(\d[\d.]*)@ARCHIVE_EXT@
